Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
LoaderFileTypeAssimp Class Reference

This defines the Loader interface that uses the Assimp library to load various model formats. More...

`#include "loaderFileTypeAssimp.h"`

Inheritance diagram for LoaderFileTypeAssimp:

## Public Member Functions
virtual TypeHandle | force_init_type ()
virtual std::string | get_additional_extensions () const
| Returns a space-separated list of extension, in addition to the one returned by get_extension(), that are recognized by this converter.
virtual std::string | get_extension () const
virtual std::string | get_name () const
virtual TypeHandle | get_type () const
virtual | PT (PandaNode) load_file(const Filename &path
virtual bool | supports_compressed () const
| Returns true if this file type can transparently load compressed files (with a .pz or .gz extension), false otherwise.
Public Member Functions inherited from LoaderFileType
virtual bool | get_allow_disk_cache (const LoaderOptions &options) const
| Returns true if the loader flags allow retrieving the model from the on- disk bam cache (if it is enabled), false otherwise.
virtual bool | get_allow_ram_cache (const LoaderOptions &options) const
| Returns true if the loader flags allow retrieving the model from the in- memory ModelPool cache, false otherwise.
virtual PointerTo< PandaNode > | load_file (const Filename &path, const LoaderOptions &options, BamCacheRecord *record) const
virtual bool | save_file (const Filename &path, const LoaderOptions &options, PandaNode *node) const
virtual bool | supports_load () const
| Returns true if the file type can be used to load files, and load_file() is supported.
virtual bool | supports_save () const
| Returns true if the file type can be used to save files, and save_file() is supported.
Public Member Functions inherited from TypedObject
| TypedObject (const TypedObject &copy)=default
TypedObject * | as_typed_object ()
| Returns the object, upcast (if necessary) to a TypedObject pointer.
const TypedObject * | as_typed_object () const
| Returns the object, upcast (if necessary) to a TypedObject pointer.
int | get_best_parent_from_Set (const std::set< int > &) const
int | get_type_index () const
| Returns the internal index number associated with this object's TypeHandle, a unique number for each different type.
bool | is_exact_type (TypeHandle handle) const
| Returns true if the current object is the indicated type exactly.
bool | is_of_type (TypeHandle handle) const
| Returns true if the current object is or derives from the indicated type.
TypedObject & | operator= (const TypedObject &copy)=default
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Static Public Member Functions
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from LoaderFileType
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedObject
static TypeHandle | get_class_type ()
static void | init_type ()
| This function is declared non-inline to work around a compiler bug in g++ 2.96.

## Public Attributes
AssimpLoader * | _loader
virtual const LoaderOptions BamCacheRecord *record | const
virtual const LoaderOptions & | options
Public Attributes inherited from TypedObject
| get_type

## Detailed Description

This defines the Loader interface that uses the Assimp library to load various model formats.

Definition at line 26 of file loaderFileTypeAssimp.h.

## Constructor & Destructor Documentation

## ◆ LoaderFileTypeAssimp()

LoaderFileTypeAssimp::LoaderFileTypeAssimp | ( |  | ) |

Definition at line 27 of file loaderFileTypeAssimp.cxx.

## ◆ ~LoaderFileTypeAssimp()

LoaderFileTypeAssimp::~LoaderFileTypeAssimp | ( |  | ) |
| virtual

Definition at line 34 of file loaderFileTypeAssimp.cxx.

## Member Function Documentation

## ◆ force_init_type()

virtual TypeHandle LoaderFileTypeAssimp::force_init_type | ( |  | ) |
| inline virtual

Reimplemented from LoaderFileType.

Definition at line 54 of file loaderFileTypeAssimp.h.

## ◆ get_additional_extensions()

string LoaderFileTypeAssimp::get_additional_extensions | ( |  | ) | const
| virtual

Returns a space-separated list of extension, in addition to the one returned by get_extension(), that are recognized by this converter.

Reimplemented from LoaderFileType.

Definition at line 58 of file loaderFileTypeAssimp.cxx.

References ConfigVariable::get_num_words(), and ConfigVariableString::get_word().

## ◆ get_class_type()

static TypeHandle LoaderFileTypeAssimp::get_class_type | ( |  | ) |
| inline static

Definition at line 43 of file loaderFileTypeAssimp.h.

## ◆ get_extension()

string LoaderFileTypeAssimp::get_extension | ( |  | ) | const
| virtual

Implements LoaderFileType.

Definition at line 49 of file loaderFileTypeAssimp.cxx.

## ◆ get_name()

string LoaderFileTypeAssimp::get_name | ( |  | ) | const
| virtual

Implements LoaderFileType.

Definition at line 41 of file loaderFileTypeAssimp.cxx.

## ◆ get_type()

virtual TypeHandle LoaderFileTypeAssimp::get_type | ( |  | ) | const
| inline virtual

Reimplemented from LoaderFileType.

Definition at line 51 of file loaderFileTypeAssimp.h.

## ◆ init_type()

static void LoaderFileTypeAssimp::init_type | ( |  | ) |
| inline static

Definition at line 46 of file loaderFileTypeAssimp.h.

## ◆ supports_compressed()

bool LoaderFileTypeAssimp::supports_compressed | ( |  | ) | const
| virtual

Returns true if this file type can transparently load compressed files (with a .pz or .gz extension), false otherwise.

Reimplemented from LoaderFileType.

Definition at line 109 of file loaderFileTypeAssimp.cxx.

## Member Data Documentation

## ◆ _loader

AssimpLoader* LoaderFileTypeAssimp::_loader

Definition at line 40 of file loaderFileTypeAssimp.h.

## ◆ const

virtual const LoaderOptions BamCacheRecord* record LoaderFileTypeAssimp::const

Definition at line 37 of file loaderFileTypeAssimp.h.

## ◆ options

virtual const LoaderOptions& LoaderFileTypeAssimp::options

Definition at line 36 of file loaderFileTypeAssimp.h.

The documentation for this class was generated from the following files:

- pandatool/src/assimp/loaderFileTypeAssimp.h
- pandatool/src/assimp/loaderFileTypeAssimp.cxx